Subject: Re: bug#30823: 25.3; modification-hooks of overlays are not run in some cases

From: Stefan Monnier <[email-masked]>
Date: Sun, 19 Aug 2018 11:43:57 -0400

> I see that I tried too hard to be gentle, and that must have made my
> question unclear, because that's not what I was asking.  I was asking
> whether we want to support code which does this, because maybe it is
> unreasonable to delete an overlay from within its modification hook.

My answer was saying that yes we want to support that.  I don't see
a good reason why this should be technically difficult to support.

        Stefan